### ***💣 TERMINAL BASED MINESWEEPER GAME WITH FULL MOUSE SUPPORT !***
---

https://github.com/user-attachments/assets/0c8e987a-bba2-48a6-b74c-c3b6b1a4fe8c

![game themes](https://github.com/user-attachments/assets/3c507a68-b6a9-493a-ae23-a3b722338aa5)

![custom board](https://github.com/user-attachments/assets/e22c2180-216a-4d1b-9555-a157ce28b5e5)

## 🔥Features
- 🖱️ **Mouse support**:Reveal, flag, and chord cells effortlessly using your mouse
- 🎮 **Multiple Game Modes**: Easy, Medium, Expert, and Custom levels
- 🎨 **Themes**: Choose from 5 unique themes (Default, Winter, Desert, Space, Cyberpunk)
- 🎵 **Sound Effects**: Toggle sound on/off for an immersive experience
- 📊 **Game Statistics**: Track your win streak, best time, and win rate
- ⚙️ **Customization**: Configure chording method (disabled, left-click, middle-click, right-click)
- 💾 **Persistent Settings**: All your preferences are saved automatically across sessions
- 🚫 **Ad-Free**: Play with zero interruptions — completely free of ads
- 📦 **Lightweight**: Requires minimal storage space without compromising on quality
- ⚡ **High Performance**: Smooth and fast gameplay even on low-end systems

## ⬇️ Installation

### Option 1: Standalone Executable

Download the latest executable from the [releases page](https://github.com/libin-codes/minex/releases).

### Option 2: Install with pipx 

if you dont have pipx installed then install via: 

```console
pip install pipx
```

```console
pipx install minex
```
after installing, you can play the game by running command minex in your terminal

```console
minex
```

## 🛠 Built With
- [Textual](https://textual.textualize.io/) - TUI Framework
- [Pygame](https://www.pygame.org/) - Used For Sound Effects

## 💻 Compatibility

- ✅ Works on Linux, macOS, and Windows

- 🐍 Requires Python 3.9+

## 📄 License

This project is licensed under the MIT License - see the LICENSE file for details.
